package com.diaoyun.zion.chinafrica.vo;

/**
 * @Auther: wudepeng
 * @Date: 2019/11/23
 * @Description:
 */
public class Variants {
    private int id;

    private int product_id;

    private String title;

    private String price;

    private String sku;

    private int position;

    private String inventory_policy;

    private String compare_at_price;

    private String fulfillment_service;

    private String inventory_management;

    private String option1;

    private String option2;

    private String option3;

    private String created_at;

    private String updated_at;

    private boolean taxable;

    private String barcode;

    private int grams;

    private String image_id;

    private int weight;

    private String weight_unit;

    private int inventory_item_id;

    private int inventory_quantity;

    private int old_inventory_quantity;

    private boolean requires_shipping;

    private String admin_graphql_api_id;

    public void setId(int id) {
        this.id = id;
    }

    public int getId() {
        return this.id;
    }

    public void setProduct_id(int product_id) {
        this.product_id = product_id;
    }

    public int getProduct_id() {
        return this.product_id;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return this.title;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getPrice() {
        return this.price;
    }

    public void setSku(String sku) {
        this.sku = sku;
    }

    public String getSku() {
        return this.sku;
    }

    public void setPosition(int position) {
        this.position = position;
    }

    public int getPosition() {
        return this.position;
    }

    public void setInventory_policy(String inventory_policy) {
        this.inventory_policy = inventory_policy;
    }

    public String getInventory_policy() {
        return this.inventory_policy;
    }

    public void setCompare_at_price(String compare_at_price) {
        this.compare_at_price = compare_at_price;
    }

    public String getCompare_at_price() {
        return this.compare_at_price;
    }

    public void setFulfillment_service(String fulfillment_service) {
        this.fulfillment_service = fulfillment_service;
    }

    public String getFulfillment_service() {
        return this.fulfillment_service;
    }

    public void setInventory_management(String inventory_management) {
        this.inventory_management = inventory_management;
    }

    public String getInventory_management() {
        return this.inventory_management;
    }

    public void setOption1(String option1) {
        this.option1 = option1;
    }

    public String getOption1() {
        return this.option1;
    }

    public void setOption2(String option2) {
        this.option2 = option2;
    }

    public String getOption2() {
        return this.option2;
    }

    public void setOption3(String option3) {
        this.option3 = option3;
    }

    public String getOption3() {
        return this.option3;
    }

    public void setCreated_at(String created_at) {
        this.created_at = created_at;
    }

    public String getCreated_at() {
        return this.created_at;
    }

    public void setUpdated_at(String updated_at) {
        this.updated_at = updated_at;
    }

    public String getUpdated_at() {
        return this.updated_at;
    }

    public void setTaxable(boolean taxable) {
        this.taxable = taxable;
    }

    public boolean getTaxable() {
        return this.taxable;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public String getBarcode() {
        return this.barcode;
    }

    public void setGrams(int grams) {
        this.grams = grams;
    }

    public int getGrams() {
        return this.grams;
    }

    public void setImage_id(String image_id) {
        this.image_id = image_id;
    }

    public String getImage_id() {
        return this.image_id;
    }

    public void setWeight(int weight) {
        this.weight = weight;
    }

    public int getWeight() {
        return this.weight;
    }

    public void setWeight_unit(String weight_unit) {
        this.weight_unit = weight_unit;
    }

    public String getWeight_unit() {
        return this.weight_unit;
    }

    public void setInventory_item_id(int inventory_item_id) {
        this.inventory_item_id = inventory_item_id;
    }

    public int getInventory_item_id() {
        return this.inventory_item_id;
    }

    public void setInventory_quantity(int inventory_quantity) {
        this.inventory_quantity = inventory_quantity;
    }

    public int getInventory_quantity() {
        return this.inventory_quantity;
    }

    public void setOld_inventory_quantity(int old_inventory_quantity) {
        this.old_inventory_quantity = old_inventory_quantity;
    }

    public int getOld_inventory_quantity() {
        return this.old_inventory_quantity;
    }

    public void setRequires_shipping(boolean requires_shipping) {
        this.requires_shipping = requires_shipping;
    }

    public boolean getRequires_shipping() {
        return this.requires_shipping;
    }

    public void setAdmin_graphql_api_id(String admin_graphql_api_id) {
        this.admin_graphql_api_id = admin_graphql_api_id;
    }

    public String getAdmin_graphql_api_id() {
        return this.admin_graphql_api_id;
    }

    @Override
    public String toString() {
        return "Variants{" +
                "id=" + id +
                ", product_id=" + product_id +
                ", title='" + title + '\'' +
                ", price='" + price + '\'' +
                ", sku='" + sku + '\'' +
                ", position=" + position +
                ", inventory_policy='" + inventory_policy + '\'' +
                ", compare_at_price='" + compare_at_price + '\'' +
                ", fulfillment_service='" + fulfillment_service + '\'' +
                ", inventory_management='" + inventory_management + '\'' +
                ", option1='" + option1 + '\'' +
                ", option2='" + option2 + '\'' +
                ", option3='" + option3 + '\'' +
                ", created_at='" + created_at + '\'' +
                ", updated_at='" + updated_at + '\'' +
                ", taxable=" + taxable +
                ", barcode='" + barcode + '\'' +
                ", grams=" + grams +
                ", image_id='" + image_id + '\'' +
                ", weight=" + weight +
                ", weight_unit='" + weight_unit + '\'' +
                ", inventory_item_id=" + inventory_item_id +
                ", inventory_quantity=" + inventory_quantity +
                ", old_inventory_quantity=" + old_inventory_quantity +
                ", requires_shipping=" + requires_shipping +
                ", admin_graphql_api_id='" + admin_graphql_api_id + '\'' +
                '}';
    }
}
